{ QWIK13.INC                                                ver 1.3, 11-10-86 }
{ You MUST read MODIFICATIONS in QWIK13.DOC for any changes in this file!     }

type str80=string[80];
var ToEGA: Boolean;

Function EGAcheck: Boolean;
begin
Inline( $B4/$12/$BB/$10/$FF/$CD/$10/$80/$EF/$FF/$74/$02/$B7/$01/$88/$7E/$04 );
end;

{ ----------------------------- QWRITES MODULE ------------------------------ }
procedure QwriteV (Row, Col: byte; Attr: integer; VAR St);
begin
Inline( $1E/$C5/$76/<ST/$FC/$AD/$31/$C9/$8E/$C1/$00/$C1/$74/$0F/$8A/$76/<ROW
  /$8B/$7E/<COL/$4F/$D1/$E7/$8B/$5E/<ATTR/$E8/$47/$00/$1F );
end;

procedure Qwrite (Row, Col: byte; Attr: integer; St: Str80);
begin
Inline( $1E/$8D/$B6/>ST/$8C/$D2/$8E/$DA/$FC/$AD/$31/$C9/$8E/$C1/$00/$C1/$74/$12
  /$8A/$B6/>ROW/$8B/$BE/>COL/$4F/$D1/$E7/$8B/$9E/>ATTR/$E8/$11/$00/$1F );
end;

procedure QwritesDisp;
begin
Inline( $88/$EA/$D1/$EA/$01/$D7/$D1/$EA/$D1/$EA/$01/$D7/$88/$E0/$26/$80/$3E/$49
  /$04/$07/$75/$39/$BA/$F6/$AF/$8E/$C2/$84/$FF/$78/$18/$88/$DC/$41/$D1/$E9/$EB
  /$08/$AD/$88/$E7/$88/$DC/$AB/$88/$F8/$AB/$E2/$F5/$73/$7C/$AC/$AB/$EB/$78/$41
  /$89/$CA/$D1/$E9/$EB/$05/$AD/$AA/$47/$88/$E0/$AA/$47/$E2/$F7/$D1/$EA/$73/$64
  /$AC/$AA/$EB/$60/$8E/$46/$FC/$26/$80/$3E/>TOEGA/$00/$BA/$F6/$B7/$8E/$C2/$75
  /$BC/$BA/$DA/$03/$84/$FF/$78/$29/$88/$DC/$EB/$01/$AC/$88/$C7/$FA/$EC/$A8/$08
  /$74/$09/$88/$F8/$80/$F9/$90/$78/$A7/$EB/$0B/$D0/$D8/$72/$EE/$EC/$D0/$D8/$73
  /$FB/$88/$F8/$AB/$FB/$E2/$DF/$EB/$22/$AC/$47/$88/$C7/$FA/$EC/$A8/$08/$74/$09
  /$88/$F8/$80/$F9/$80/$78/$99/$EB/$0B/$D0/$D8/$72/$EE/$EC/$D0/$D8/$73/$FB/$88
  /$F8/$AA/$FB/$E2/$DE/$C3 );
end;

procedure QwriteC (Row, ColL, ColR: byte; Attr: integer; St: Str80);
begin
Inline( $1E/$8D/$B6/>ST/$8C/$D2/$8E/$DA/$FC/$AD/$31/$C9/$8E/$C1/$00/$C1/$74/$1A
  /$8A/$B6/>ROW/$8B/$BE/>COLL/$03/$BE/>COLR/$4F/$29/$CF/$81/$E7/$FE/$FF
  /$8B/$9E/>ATTR/$E8/$15/$FF/$1F );
end;

procedure QwriteCV (Row, ColL, ColR: byte; Attr: integer; VAR St);
begin
Inline( $1E/$C5/$76/<ST/$FC/$AD/$31/$C9/$8E/$C1/$00/$C1/$74/$16/$8A/$76/<ROW
  /$8B/$7E/<COLL/$03/$7E/<COLR/$4F/$29/$CF/$81/$E7/$FE/$FF/$8B/$5E/<ATTR
  /$E8/$E0/$FE/$1F );
end;

{ ------------------------------ QFILLS MODULE ------------------------------ }
procedure Qfill (Row, Col: byte; Attr: integer; Ch: char; Cols: integer);
begin
Inline( $31/$D2/$8E/$C2/$8A/$76/<ROW/$8B/$7E/<COL/$4F/$D1/$E7/$8B/$5E/<ATTR
  /$88/$DC/$8A/$46/<CH/$8B/$4E/<COLS/$E8/$10/$00 );
end;

procedure QfillsDisp;
begin
Inline ( $85/$C9/$7E/$1E/$D1/$EA/$01/$D7/$D1/$EA/$D1/$EA/$01/$D7/$FC/$26/$80
  /$3E/$49/$04/$07/$75/$1A/$BA/$F6/$AF/$8E/$C2/$84/$FF/$78/$04/$F2/$AB/$EB/$63
  /$41/$D1/$E9/$73/$02/$AA/$47/$AA/$47/$E2/$FA/$EB/$56/$80/$3E/>TOEGA/$00/$BA
  /$F6/$B7/$8E/$C2/$75/$DF/$BA/$DA/$03/$88/$C3/$84/$FF/$78/$21/$FA/$EC/$A8/$08
  /$74/$0A/$88/$D8/$81/$F9/$D0/$00/$78/$CC/$EB/$0B/$D0/$D8/$72/$ED/$EC/$D0/$D8
  /$73/$FB/$88/$D8/$AB/$FB/$E2/$E1/$EB/$20/$FA/$EC/$A8/$08/$74/$0A/$88/$D8/$81
  /$F9/$90/$00/$78/$AF/$EB/$0B/$D0/$D8/$72/$ED/$EC/$D0/$D8/$73/$FB/$88/$D8/$AA
  /$FB/$47/$E2/$E0/$C3 );
end;

procedure Qattr (Row, Col: byte; Attr, Cols: integer);
begin
Inline( $31/$D2/$8E/$C2/$8A/$76/<ROW/$8B/$7E/<COL/$4F/$D1/$E7/$47/$8B/$5E/<ATTR
  /$84/$FF/$78/$0A /$88/$D8/$B7/$80/$8B/$4E/<COLS/$E8/$4B/$FF );
end;
{ --------------------------------------------------------------------------- }

procedure GotoRC (Row, Col: Byte);
begin
Inline( $B4/$02/$31/$DB/$8E/$C3/$26/$8A/$3E/$62/$04/$8A/$76/<ROW/$FE/$CE
  /$8A/$56/<COL/$FE/$CA/$CD/$10 );
end;

procedure CursorChange (New: integer; VAR Old: integer);
begin
Inline( $31/$C0/$8E/$C0/$26/$A1/$60/$04/$C4/$7E/<OLD/$AB/$B4/$01/$8B/$4E/<NEW
  /$CD/$10 );
end;